## gfarm 2.6.15%2Bdfsg

=== gftool/gfchown/Makefile ===
# $Id: Makefile 6684 2012-09-27 15:30:59Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfchown
PROGRAM2 = gfchgrp
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

post-install-hook:
	-rm -f $(DESTDIR)$(bindir)/$(PROGRAM2)
	ln $(DESTDIR)$(bindir)/$(PROGRAM) $(DESTDIR)$(bindir)/$(PROGRAM2)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_path.h

=== bench/gfperf/gfperf-read/Makefile ===
# $Id: Makefile 2533 2006-03-31 10:50:56Z takuya $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	-I$(srcdir)/../gfperf-lib $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) -L../gfperf-lib $(GFARMLIB) $(LIBS) -lgfperf
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = gfperf-read
OBJS = gfperf-read-main.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== bench/gfperf/gfstress/Makefile ===
# $Id: Makefile 2533 2006-03-31 10:50:56Z takuya $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SCRIPTS = $(srcdir)/gfstress.rb

include $(top_srcdir)/makes/script.mk

=== man/ja/man3/Makefile ===
# $Id: Makefile 8427 2013-07-29 01:10:47Z m-kasahr $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk
include $(srcdir)/../Makefile.inc

DOCBOOK_DIR=$(top_srcdir)/doc/docbook/ja/ref/man3
include $(DOCBOOK_DIR)/Makefile.inc
MAN = $(DOCBOOK)
DOCBOOK2MAN_XSL = ../docbook2man.xsl
EXTRA_CLEAN_TARGETS = manpage.links manpage.refs

include $(top_srcdir)/makes/man.mk

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

## --parallel do not work.
%:
	dh $@ --with autoreconf,autotools_dev,systemd
	## It is intentional to use dh-autoreconf and autotools-dev together
	## as dh-autoreconf alone do not update congig.(sub|guess) files here.

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
            --disable-static

override_dh_auto_build:
	dh_auto_build
	## (re-)build man pages:
	$(MAKE) man

build-indep:
	cd util/gfront/gfront && ant clean && ant
	cd snmptool/gmonitor3 && ant clean && ant

override_dh_auto_install:
	dh_auto_install
	-chrpath --delete debian/tmp/usr/sbin/gfmd

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

override_dh_installman:
	dh_installman
	dh_installman --package=gfarm-client --language=ja $(shell cat debian/gfarm-client.manpages_ja)
	dh_installman --package=gfmd --language=ja $(shell cat debian/gfmd.manpages_ja)
	dh_installman --package=gfsd --language=ja $(shell cat debian/gfsd.manpages_ja)
	dh_installman --package=libgfarm-dev debian/tmp/usr/share/man/man3/*.3
	dh_installman --package=libgfarm-dev --language=ja debian/tmp/usr/share/man/ja/man3/*.3

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

## gfarm 2.6.15+dfsg

=== doc/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = html

DOC =	../LICENSE ../RELNOTES \
	../README.en ../README.ja ../OVERVIEW.en ../OVERVIEW.ja \
	../INSTALL.en ../INSTALL.ja  \
	../INSTALL.RPM.en ../INSTALL.RPM.ja \
	../INSTALL.Debian.en ../INSTALL.Debian.ja \
	../SETUP.en ../SETUP.ja SETUP.private.en SETUP.private.ja \
	Gfarm-FAQ.en Gfarm-FAQ.ja \
	KNOWN_PROBLEMS.en KNOWN_PROBLEMS.ja


include $(top_srcdir)/makes/subdir.mk

install:
	@$(MKDIR_P) $(DESTDIR)$(docdir)
	@for i in -- $(DOC); do \
		case $$i in --) continue;; esac; \
		echo \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)/`basename $${i}`; \
		$(INSTALL_DOC) $(srcdir)/$${i} \
			$(DESTDIR)$(docdir)/`basename $${i}`; \
	done

=== gftool/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

GFVOMS_SYNC_TARGETS = gfvoms-sync

include $(top_srcdir)/makes/var.mk
PRIVATE_TARGETS = $(PRIVATE_GFTOOL_SUBDIRS)
PUBLIC_TARGETS =

SUBDIRS = \
	gfchmod \
	gfchown \
	gfcksum \
	gfdf \
	gfdump \
	gfexport \
	gfdirpath \
	gffilepath \
	gffindxmlattr \
	gfgetfacl \
	gfgroup \
	gfhost \
	gfjournal \
	gfjournaladmin \
	gfjournaldump \
	gfkey \
	gfln \
	gfls \
	gflsof \
	gfmdhost \
	gfmkdir \
	gfmv \
	gfncopy \
	gfpath \
	gfprep \
	gfquota \
	gfreg \
	gfrep \
	gfrepcheck \
	gfrm \
	gfrmdir \
	gfsched \
	gfsetfacl \
	gfspoolgen \
	gfspoolinum \
	gfspoolmd5 \
	gfspoolpath \
	gfstat \
	gfstatus \
	gfsudo \
	gftest \
	gfuser \
	gfusage \
	$(gfvoms_sync_targets) \
	gfwhere \
	gfwhoami \
	gfxattr \
	config-gfarm \
	gfhostgroup \
	$(optional_targets)

#	gfifo \
#	gfpwd \
#	gfsck \
#	gfsetdir \
#	gfq \

include $(top_srcdir)/makes/subdir.mk

=== regress/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

LOG=			log

CHECK_ENV=	LANG=C PATH=$(prefix)/bin:$$PATH

# subdirectories which have to be built
SUBDIRS=	\
	lib/libgfarm/gfutil/utf8 \
	lib/libgfarm/gfarm/empty_acl \
	lib/libgfarm/gfarm/gfarm_error_range_alloc \
	lib/libgfarm/gfarm/gfarm_error_to_errno \
	lib/libgfarm/gfarm/gfs_dir_test \
	lib/libgfarm/gfarm/gfs_pio_test \
	lib/libgfarm/gfarm/gfs_pio_stat \
	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/file_busy \
	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/in_progress \
	lib/libgfarm/gfarm/gfs_stat_cached \
	lib/libgfarm/gfarm/gfs_xattr \
	lib/libgfarm/gfarm/gfs_getxattr_cached \
	lib/libgfarm/gfarm/gfm_inode_or_name_op_test \
	server/gfmd/db_journal \
	manual/lib/libgfarm/gfarm/gfs_pio_failover \
	manual/server/gfsd/fo_notify_test

check test: all
	@echo ""
	@$(CHECK_ENV) $(srcdir)/regress.sh
	@echo ""

check-jenkins: all
	@echo ""
	@$(CHECK_ENV) $(srcdir)/regress.sh -j "${JENKINS_CLASSNAME}"
	@echo ""

loop: all
	@@$(CHECK_ENV) $(srcdir)/loop.sh

all: config

config:
	test -f Makefile || \
	( \
	echo "regress=$(srcdir)"; \
	echo ". $(srcdir)/regress.conf"; \
	) > regress.conf

distclean:
	-$(RM) -f $(LOG)
	-test -f Makefile || $(RM) -f regress.conf

include $(top_srcdir)/makes/subdir.mk

=== bench/nconnect/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(LIBS)

PROGRAM = nconnect
OBJS = nconnect.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== gftool/gfdf/Makefile ===
# $Id: Makefile 3925 2008-04-18 13:04:34Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfdf
SRCS = gfdf_simple.c
OBJS = gfdf_simple.o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFARMLIB_SRCDIR)/config.h \
	$(GFARMLIB_SRCDIR)/gfs_client.h

=== gftool/gfgetfacl/Makefile ===
# $Id: Makefile 6684 2012-09-27 15:30:59Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfgetfacl
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfjournaladmin/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

datadir=$(default_datadir)/gfarm/ruby

BUILT_SCRIPTS = gfjournaladmin

DATA =	$(srcdir)/gfjournalfile.rb \
	$(srcdir)/gfcrc32.rb

include $(top_srcdir)/makes/script.mk
include $(top_srcdir)/makes/data.mk

gfjournaladmin: $(srcdir)/gfjournaladmin.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

=== gftool/gfls/Makefile ===
# $Id: Makefile 6686 2012-09-28 08:37:47Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfls
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/timespec.h $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfmdhost/Makefile ===
# $Id$

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfmdhost
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/gfevent.h \
	$(GFARMLIB_SRCDIR)/liberror.h \
	$(GFARMLIB_SRCDIR)/metadb_server.h \
	$(GFARMLIB_SRCDIR)/auth.h \
	$(GFARMLIB_SRCDIR)/gfm_client.h \
	$(GFARMLIB_SRCDIR)/gfs_client.h \
	$(GFARMLIB_SRCDIR)/lookup.h \
	$(GFARMLIB_SRCDIR)/config.h

=== gftool/gfmkdir/Makefile ===
# $Id: Makefile 6684 2012-09-27 15:30:59Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfmkdir
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfmv/Makefile ===
# $Id: Makefile 6684 2012-09-27 15:30:59Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfmv
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfncopy/Makefile ===
# $Id: Makefile 9927 2015-10-30 14:32:50Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfncopy.c
OBJS = gfncopy.o
PROGRAM = gfncopy
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	-I$(GFREP_SRCDIR) -I$(srcdir) $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk
include $(top_srcdir)/makes/subdir.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/hash.h \
	$(GFARMLIB_SRCDIR)/gfarm_foreach.h \
	$(GFARMLIB_SRCDIR)/gfarm_path.h \
	$(GFARMLIB_SRCDIR)/fsngroup_info.h \
	$(GFARMLIB_SRCDIR)/gfm_client.h \
	$(GFARMLIB_SRCDIR)/lookup.h \
	$(GFARMLIB_SRCDIR)/metadb_server.h \
	$(GFARMLIB_SRCDIR)/repattr.h

=== debian/changelog ===
gfarm (2.6.15+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2016].
    + fixed FTBFS with openssl 1.1.0 (Closes: #828310).
  * Install "config-gfarm.common" (Closes: #845006).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Dec 2016 13:08:17 +1100

gfarm (2.6.13+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 08 Oct 2016 13:40:20 +1100

gfarm (2.6.12+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2016].
  * Removed obsolete "alpha-avoid-signal-name-conflict.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 28 Aug 2016 11:46:47 +1000

=== debian/control ===
Source: gfarm
Section: net
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,dh-autoreconf ,autotools-dev ,dh-systemd ,chrpath
              ,libssl-dev
              ,libldap2-dev
              ,libpq-dev
        ,docbook-xml
        ,docbook-xsl
        ,xsltproc
Build-Depends-Indep: default-jdk, ant
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/p/gfarm/wiki/Home/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gfarm.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gfarm.git

Package: gfarm-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Gfarm file system documentation
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides documentation for Gfarm.

Package: libgfarm1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gfarm file system runtime library
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the shared library required for accessing
 files via Gfarm.

Package: libgfarm-dev
Section: libdevel
Architecture: any
Depends: libgfarm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgfarm-dev
Description: Gfarm file system development files
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the static library, header files, and man
 pages required for Gfarm development.

Package: gfmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client, postgresql | slapd
Suggests: gfarm-doc
Description: Gfarm file system metadata server
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm metadata server, which equips a
 host to function as a server node managing file system metadata.

Package: gfsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client
Suggests: gfarm-doc
Description: Gfarm file system daemon
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm file system daemon, which equips a
 host to function as a storage node for the network.

Package: gfarm-client
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gfarm2fs
Suggests: gfarm-doc
Description: Gfarm file system clients
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides client utilities for Gfarm.

=== debian/watch ===
version=3

## Redirector http://qa.debian.org/watch/sf.php/gfarm/
opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 http://sf.net/gfarm/gfarm-(\d+\.[\d\.]+)\.tar\.(?:gz|xz|bz2)

## gfarm 2.7.11%2Bdfsg

=== bench/thput-gfpio/Makefile ===
# $Id: Makefile 10212 2016-09-02 05:52:24Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = thput-gfpio
OBJS = thput-gfpio.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== gftool/gffindxmlattr/Makefile ===
# $Id: Makefile 1265 2004-08-17 01:47:35Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gffindxmlattr
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfwhere/Makefile ===
# $Id: Makefile 6663 2012-09-21 07:34:19Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfwhere.c
OBJS = gfwhere.o
PROGRAM = gfwhere
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_foreach.h $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfvoms-sync/gfvoms-sync/Makefile ===
top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

datadir = $(default_datadir)/gfarm/voms

SCRIPTS = gfvoms-sync
DATA = $(srcdir)/gfvoms-sync.py
EXTRA_CLEAN_TARGETS = $(SCRIPTS)

all: $(SCRIPTS)

$(SCRIPTS):
	./mkscript $(datadir)

include $(top_srcdir)/makes/script.mk
include $(top_srcdir)/makes/data.mk

=== doc/html/en/user/Makefile ===
# $Id: Makefile 10362 2016-12-08 14:29:08Z tatebe $

top_builddir = ../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

htmldir=$(default_htmldir)/en/user

HTML =	index.html \
	samba-gfarmfs.html \
	redundancy-tutorial.html \
	cipher-comparison.html \
	dirquota.html
#	export-gfarm.html
#	nfs-gfarmfs.html
#	samba-hook.html

include $(top_srcdir)/makes/html.mk

=== doc/html/en/ref/man1/Makefile ===
# $Id: Makefile 8427 2013-07-29 01:10:47Z m-kasahr $

top_builddir = ../../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

htmldir=$(default_htmldir)/en/ref/man1

DOCBOOK_DIR=$(top_srcdir)/doc/docbook/en/ref/man1
include $(DOCBOOK_DIR)/Makefile.inc
HTMLSRC=$(DOCBOOK)
DOCBOOK2HTML_XSL=../docbook2html.xsl

include $(top_srcdir)/makes/html.mk

## gfarm 2.7.11+dfsg

=== linux/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = ugidmapd gfskd kernel config

include $(top_srcdir)/makes/subdir.mk

=== systest/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = testcases common_scripts plugins scenarios

include $(top_srcdir)/makes/subdir.mk

=== bench/thput-fsys/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(LIBS)

PROGRAM = thput-fsys
OBJS = thput-fsys.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== bench/thput-pvfs/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS) -I/usr/local/include -DPVFS_MOUNT=\"/mnt/pvfs\"
LDLIBS = $(COMMON_LDFLAGS) $(LIBS) -L/usr/local/lib -lpvfs

PROGRAM = thput-pvfs
OBJS = thput-pvfs.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== gftool/config-gfarm/Makefile ===
# $Id: Makefile 10432 2017-02-04 13:20:25Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS= sysdep/$(config_gfarm_sysdep_subdir)

datadir=$(default_datadir)/gfarm/config

PRIVATE_SRCS = $(PRIVATE_GFTOOL_CONFIG_GFARM_SRCS)

SCRIPTS = $(srcdir)/gfarm.arch.guess $(optional_srcs)
BUILT_SCRIPTS = config-gfarm config-gfarm-update config-gfsd \
	config-gfmd-iostat config-gfsd-iostat

DATA =	$(srcdir)/config-gfarm.common \
	$(srcdir)/config-gfarm.postgresql \
	$(srcdir)/config-gfarm.ldap \
	$(srcdir)/config-gfarm.none \
	$(srcdir)/config-gfarm.iostat \
	$(srcdir)/config-gfarm-update.postgresql \
	$(srcdir)/config-gfarm-update.ldap \
	$(srcdir)/config-gfarm-update.none \
	$(srcdir)/unconfig-gfarm.sh.in \
	$(srcdir)/unconfig-gfsd.sh.in \
	$(srcdir)/gfarm.conf-postgresql.in \
	$(srcdir)/gfarm.conf-ldap.in \
	$(srcdir)/gfarm.conf-none.in \
	$(srcdir)/gfarm.conf.in \
	$(srcdir)/slapd.conf-2.0.in \
	$(srcdir)/slapd.conf-2.1.in \
	$(srcdir)/gfarm.sql \
	$(srcdir)/gfarm-xmlattr.sql \
	$(srcdir)/gfarm.schema \
	$(srcdir)/initial.ldif.in \
	$(srcdir)/bdb.DB_CONFIG.in

include $(top_srcdir)/makes/script.mk
include $(top_srcdir)/makes/data.mk
include $(top_srcdir)/makes/subdir.mk

config-gfarm: $(srcdir)/config-gfarm.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfarm-update: $(srcdir)/config-gfarm-update.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfsd: $(srcdir)/config-gfsd.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfmd-iostat: $(srcdir)/config-gfmd-iostat.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfsd-iostat: $(srcdir)/config-gfsd-iostat.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

=== gftool/gfjournaldump/Makefile ===
# $Id: Makefile 5520 2011-09-26 07:40:38Z m-kasahr $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

datadir=$(default_datadir)/gfarm/config

BUILT_SCRIPTS = gfjournaldump

include $(top_srcdir)/makes/script.mk

gfjournaldump: $(srcdir)/gfjournaldump.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

=== gftool/gfpwd/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfpwd.c
OBJS = gfpwd.o
PROGRAM = gfpwd
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== bench/gfperf/gfperf-parallel-read/Makefile ===
# $Id: Makefile 2533 2006-03-31 10:50:56Z takuya $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	-I$(srcdir)/../gfperf-lib $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) -L../gfperf-lib $(GFARMLIB) $(LIBS) -lgfperf
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = gfperf-parallel-read
OBJS = gfperf-parallel-read-main.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== gftool/gfquota/gfdirquota/Makefile ===
top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfdirquota
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFARMLIB_SRCDIR)/quota_info.h \
	$(GFARMLIB_SRCDIR)/gfm_client.h \
	$(GFARMLIB_SRCDIR)/lookup.h \
	$(GFARMLIB_SRCDIR)/gfs_dirquota.h \
	$(GFARMLIB_SRCDIR)/gfarm_path.h

=== lib/libgfarm/gfutil/Makefile ===
# $Id: Makefile 9645 2015-04-17 16:25:13Z n-soda $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

LIBRARY = libgfutil.la
LIBRARY_RESULT = # do not install

SRCS =	alloc.c \
	assert.c \
	backtrace.c \
	daemon.c \
	gfevent.c \
	gfnetdb.c \
	hash.c \
	hash_strptr.c \
	id_table.c \
	limit.c \
	logutil.c \
	lru_cache.c \
	nanosec.c \
	privlock.c \
	random.c \
	send_no_sigpipe.c \
	sleep.c \
	thrbarrier.c \
	thrsubr.c \
	timer.c \
	timeval.c \
	utf8.c
OBJS =	alloc.lo \
	assert.lo \
	backtrace.lo \
	daemon.lo \
	gfevent.lo \
	gfnetdb.lo \
	hash.lo \
	hash_strptr.lo \
	id_table.lo \
	limit.lo \
	logutil.lo \
	lru_cache.lo \
	msgdigest.lo \
	nanosec.lo \
	privlock.lo \
	random.lo \
	send_no_sigpipe.lo \
	sleep.lo \
	thrbarrier.lo \
	thrsubr.lo \
	timer.lo \
	timeval.lo \
	utf8.lo

CFLAGS = $(pthread_includes) $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) \
	$(openssl_includes)

all: $(LIBRARY)

include $(top_srcdir)/makes/lib.mk
include $(top_srcdir)/makes/gflog.mk

###

$(OBJS): $(DEPGFARMINC)
backtrace.lo: gfutil.h
daemon.lo: gfutil.h
gfevent.lo: $(INC_SRCDIR)/gfarm_misc.h gfutil.h gfevent.h
gfnetdb.lo: gfnetdb.h
id_table.lo: id_table.h
hash.lo: gfutil.h hash.h
hash_strptr.lo: hash.h
limit.lo: gfutil.h
logutil.lo: gfutil.h gflog_reduced.h
lru_cache.lo: lru_cache.h
msgdigest.lo: msgdigest.h
nanosec.lo: nanosec.h
privlock.lo: nanosec.h thrsubr.h gfutil.h
random.lo: thrsubr.h
sleep.lo: nanosec.h gfutil.h
timer.lo: timer.h
timeval.lo: gfutil.h

=== doc/html/en/ref/man8/Makefile ===
# $Id: Makefile 8427 2013-07-29 01:10:47Z m-kasahr $

top_builddir = ../../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

htmldir=$(default_htmldir)/en/ref/man8

DOCBOOK_DIR=$(top_srcdir)/doc/docbook/en/ref/man8
include $(DOCBOOK_DIR)/Makefile.inc
HTMLSRC=$(DOCBOOK)
DOCBOOK2HTML_XSL=../docbook2html.xsl

include $(top_srcdir)/makes/html.mk

=== gftool/config-gfarm/sysdep/linux/systemd/Makefile ===
# $Id$

top_builddir = ../../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

datadir=$(default_datadir)/gfarm/config/linux/systemd

DATA =	$(srcdir)/gfarm-pgsql.service.in \
	$(srcdir)/gfmd.service.in \
	$(srcdir)/gfsd.service.in

include $(top_srcdir)/makes/data.mk

=== debian/changelog ===
gfarm (2.7.11+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change (re-upload to get the source back).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 25 Feb 2019 20:10:20 +0100

gfarm (2.7.11+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.3.0.
  * Debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 02 Feb 2019 15:11:29 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gfarm
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9) ,dh-autoreconf ,autotools-dev ,dh-systemd ,chrpath
+Build-Depends: debhelper (>= 11~) ,chrpath
               ,libssl-dev
               ,libldap2-dev
               ,libpq-dev
@@ -10,10 +10,10 @@
         ,docbook-xsl
         ,xsltproc
 Build-Depends-Indep: default-jdk, ant
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://sourceforge.net/p/gfarm/wiki/Home/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gfarm.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gfarm.git
+Vcs-Browser: https://salsa.debian.org/debian/gfarm
+Vcs-Git: https://salsa.debian.org/debian/gfarm.git
 
 Package: gfarm-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,7 @@
 
 ## --parallel do not work.
 %:
-	dh $@ --with autoreconf,autotools_dev,systemd
-	## It is intentional to use dh-autoreconf and autotools-dev together
-	## as dh-autoreconf alone do not update congig.(sub|guess) files here.
+	dh $@ --with autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -49,8 +47,5 @@
 override_dh_installinit:
 	dh_installinit --no-start
 
-override_dh_systemd_start:
-	dh_systemd_start --no-start
-
-override_dh_systemd_enable:
-	dh_systemd_enable --no-enable
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start

=== debian/watch ===
version=3

## Redirector http://qa.debian.org/watch/sf.php/gfarm/
opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://sf.net/gfarm/gfarm-(\d+\.[\d\.]+)\.tar\.(?:gz|xz|bz2)

## gfarm 2.7.15%2Bdfsg

=== gftool/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 PUBLIC_TARGETS =
 
 SUBDIRS = \
+	gfarmbb \
 	gfchmod \
 	gfchown \
 	gfcksum \

=== gftool/gfexport/Makefile ===
# $Id: Makefile 6684 2012-09-27 15:30:59Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfexport.c
OBJS = gfexport.o
PROGRAM = gfexport
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFUTIL_SRCDIR)/queue.h $(GFARMLIB_SRCDIR)/gfs_profile.h $(GFARMLIB_SRCDIR)/host.h $(GFARMLIB_SRCDIR)/config.h $(GFARMLIB_SRCDIR)/gfs_pio.h $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfstat/Makefile ===
# $Id: Makefile 9092 2014-05-22 13:32:28Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfstat
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) $(openssl_includes)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/queue.h \
	$(GFARMLIB_SRCDIR)/gfm_client.h \
	$(GFARMLIB_SRCDIR)/lookup.h \
	$(GFARMLIB_SRCDIR)/gfarm_path.h \
	$(GFARMLIB_SRCDIR)/gfs_pio.h

=== util/ptool/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SCRIPTS= $(srcdir)/gfarm-ptool $(srcdir)/gfarm-prun $(srcdir)/gfarm-pcp

include $(top_srcdir)/makes/script.mk

=== docker/dev/dist/centos7/src/Makefile ===
GFDOCKER_PRJ_NAME = centos7-src
BUILD_IMAGE_ORDER = centos7-base $(GFDOCKER_PRJ_NAME)
include ../../../config.mk
include ../../../common/base.mk

=== debian/changelog ===
gfarm (2.7.15+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * postrm: run cleanup after "#DEBHELPER#" to leave no unowned files after
    purge (Closes: #788253).
    Thanks, Felipe Sateler.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Nov 2019 16:35:53 +1100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
         ,docbook-xsl
         ,xsltproc
 Build-Depends-Indep: default-jdk, ant
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://sourceforge.net/p/gfarm/wiki/Home/
 Vcs-Browser: https://salsa.debian.org/debian/gfarm
 Vcs-Git: https://salsa.debian.org/debian/gfarm.git
